Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.agreement
Class ECMQVBasicAgreement

    java.lang.Object
      org.bouncycastle.crypto.agreement.ECMQVBasicAgreement

All Implemented Interfaces:
  BasicAgreement

    public class ECMQVBasicAgreement

extends java.lang.Object
implements BasicAgreement

Constructor Summary
`ECMQVBasicAgreement()`

Method Summary
`java.math.BigInteger` `calculateAgreement(CipherParameters pubKey)` given a public key from a given party calculate the next message in the agreement sequence.
`void` `init(CipherParameters key)` initialise the agreement engine.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ECMQVBasicAgreement

    public ECMQVBasicAgreement()

Method Detail

### init

    public void init(CipherParameters key)

  Description copied from interface: `BasicAgreement`
  initialise the agreement engine.

  Specified by:
    `init` in interface `BasicAgreement`

### calculateAgreement

    public java.math.BigInteger calculateAgreement(CipherParameters pubKey)

  Description copied from interface: `BasicAgreement`
  given a public key from a given party calculate the next message in the agreement sequence.

  Specified by:
    `calculateAgreement` in interface `BasicAgreement`

Bouncy Castle Cryptography Library 1.45